// Copyright (c) Microsoft Corporation. 
// Licensed under the MIT license.

namespace UnrealBuildTool.Rules
{
	public class StandinActor : ModuleRules
	{
		public StandinActor(ReadOnlyTargetRules Target) : base(Target)
		{
			// Fix for: "command line is too long to fit in debug record"
			bLegacyPublicIncludePaths = false;
			UnsafeTypeCastWarningLevel = WarningLevel.Warning;
			PublicIncludePaths.AddRange(
				new string[] {
                }
				);

			PrivateIncludePaths.AddRange(
				new string[] {
					"StandinActor/Private"
				}
				);

			PublicDependencyModuleNames.AddRange(
				new string[]
				{
					"Core",
                    "CoreUObject",
                    "Engine",
					"SimplygonUObjects",
				}
				);

			if (Target.bBuildEditor == true)
			{
				PrivateDependencyModuleNames.Add("SimplygonContent");
			}

			PublicIncludePathModuleNames.AddRange(
				new string[] {
				}
			);

			PrivateDependencyModuleNames.AddRange(
				new string[]
				{
				}
				);

			DynamicallyLoadedModuleNames.AddRange(
				new string[]
				{
				}
				);
		}
	}
}
